<?xml version="1.0" encoding="UTF-8"?>
<!--
 *
 * Element definition for characteristic-value which can be set in
 * characteristic-specification which entity-specification or entity-offering
 * is using.
 *
 * atomic-product-offering
 *      name = "Enterprise Mail"
 *
 *      author Tatsuya Ogawa
 *
-->

<xsd:schema
	elementFormDefault="qualified"
	targetNamespace="https://gcm.ntt.com/api/xml-schema/v2/product/EMAILASIA"
	xmlns:EMAILASIA="https://gcm.ntt.com/api/xml-schema/v2/product/EMAILASIA"
	xmlns:cbe="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!-- Imports -->
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
			schemaLocation="http://localhost/api/xml-schema/v2/cbe-domain/cbe.xsd"/>

	<!--
	 *
	 *==========================================================================
	 * ■Element of CharacteristicValue
	 *==========================================================================
	 *
	-->

	<!-- ■EMAMBSIZE (Element) substitution element -->
	<xsd:element name="EMAMBSIZE" type="EMAILASIA:MailboxSizeVal"
			substitutionGroup="cbe:base-value"/>

	<!-- ■MailboxSizeVal (Datatype) -->
	<xsd:simpleType name="MailboxSizeVal">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:enumeration value="21268" /> <!-- 100MB -->
			<!-- <xsd:enumeration value="10002" /> --> <!-- 1GB -->
			<xsd:enumeration value="21267" /> <!-- 3GB -->
			<xsd:enumeration value="21266" /> <!-- 10GB -->
			<xsd:enumeration value="10001" /> <!-- 50GB -->
		</xsd:restriction>
	</xsd:simpleType>

	<!-- ■EMADNSSERV (Element) substitution element -->
	<xsd:element name="EMADNSSERV" type="EMAILASIA:DnsServiceVal"
			substitutionGroup="cbe:base-value"/>

	<!-- ■DnsServiceVal (Datatype) -->
	<xsd:simpleType name="DnsServiceVal">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:enumeration value="21270" /> <!-- Yes -->
			<xsd:enumeration value="21269" /> <!-- No -->
		</xsd:restriction>
	</xsd:simpleType>

	<!-- ■EMAADDFUNC (Element) substitution element -->
	<xsd:element name="EMAADDFUNC" type="EMAILASIA:AdditionalFuncVal"
			substitutionGroup="cbe:base-value"/>

	<!-- ■AdditionalFuncVal (Datatype) -->
	<xsd:simpleType name="AdditionalFuncVal">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:enumeration value="21261" /> <!-- Yes -->
			<xsd:enumeration value="21260" /> <!-- No -->
		</xsd:restriction>
	</xsd:simpleType>

	<!-- ■EMAMBIDX (Element) substitution element -->
	<xsd:element name="EMAMBIDX" type="EMAILASIA:NumOfMailboxVal"
			substitutionGroup="cbe:base-value"/>

	<!-- ■NumOfMailboxVal (Datatype) -->
	<xsd:simpleType name="NumOfMailboxVal">
		<xsd:restriction base="xsd:nonNegativeInteger">
			 <xsd:minInclusive value="0" />
			 <xsd:maxInclusive value="99999" />
		 </xsd:restriction>
	</xsd:simpleType>

	<!-- ■EMAIMAPIDX (Element) substitution element -->
	<xsd:element name="EMAIMAPIDX" type="EMAILASIA:NumOfImapIdVal"
			substitutionGroup="cbe:base-value"/>

	<!-- ■NumOfImapIdVal (Datatype) -->
	<xsd:simpleType name="NumOfImapIdVal">
		<xsd:restriction base="xsd:nonNegativeInteger">
			 <xsd:minInclusive value="0" />
			 <xsd:maxInclusive value="99999" />
		 </xsd:restriction>
	</xsd:simpleType>

	<!-- ■EMAADFCIDX (Element) substitution element -->
	<xsd:element name="EMAADFCIDX" type="EMAILASIA:NumOfAddFuncIdVal"
			substitutionGroup="cbe:base-value"/>

	<!-- ■NumOfAddFuncIdVal (Datatype) -->
	<xsd:simpleType name="NumOfAddFuncIdVal">
		<xsd:restriction base="xsd:nonNegativeInteger">
			 <xsd:minInclusive value="0" />
			 <xsd:maxInclusive value="99999" />
		 </xsd:restriction>
	</xsd:simpleType>

	<!-- ■PELPREFE2495000000 (Element) substitution element -->
	<xsd:element name="PELPREFE2495000000"
			substitutionGroup="cbe:base-value">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:length value="10"/>
				<xsd:pattern value="[0-3][0-9]/[0-1][0-9]/[0-9]{4}"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<!-- ■PLEDOMAI2496000000 (Element) substitution element -->
	<xsd:element name="PLEDOMAI2496000000" type="xsd:string"
			substitutionGroup="cbe:base-value"/>

</xsd:schema>
